Bug 138010 - [PATCH] graphics/kipi-plugins-kde4: Update to version 0.5.0
Summary: [PATCH] graphics/kipi-plugins-kde4: Update to version 0.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-21 05:10 UTC by Jason E. Hale
Modified: 2009-09-05 00:55 UTC (History)
1 user (show)

See Also:


Attachments
2009-08-20-kipi-plugins-kde4.diff (22.41 KB, patch)
2009-08-21 05:10 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2009-08-21 05:10:00 UTC
Update graphics/kipi-plugins-kde4 to version 0.5.0

Makefile notes:
- FETCH_ARGS needed to be redefined since fetch(1) was failing with -A
- Add USE_GETTEXT to quash some portlint(1) warnings
- Mark MAKE_JOBS_SAFE - tested with MAKE_JOBS_NUMBER=4 on dual core processor
- OPTIONify optional dependencies that only a few plugins need
- Enable IpodExport plugin in OPTIONS since libgpod was updated

Patch notes:
- Remove qt3to4headers.txt - not needed - the better fix is in CMakeLists.txt
  using INCLUDE_DIRECTORIES(${QT4_INCLUDES}) instead of INCLUDE_DIRECTORIES(${QT_INCLUDES})
- Add patch-ipodexport__CMakeLists.txt - this prevents the IpodExport plugin from linking
  to QT3/KDE3 libraries

How-To-Repeat: - Use attached diff.
- Remove: files/qt3to4headers.txt
- New file: files/patch-ipodexport__CMakeLists.txt
Comment 1 Edwin Groothuis freebsd_committer 2009-08-21 05:10:10 UTC
Maintainer of graphics/kipi-plugins-kde4,

Please note that PR ports/138010 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/138010

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-08-21 05:10:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Jason E. Hale 2009-08-22 09:53:41 UTC
Just a quick followup since the Sourceforge scheme was just updated in the 
ports tree.

MASTER_SITES is now defined as:
MASTER_SITES= SF/kipi/${PORTNAME}/${PORTVERSION}

Consequently, the redefinition of FETCH_ARGS will not be needed.

New diff for Makefile only is attached.  The rest of the previous patch still 
applies.

--- 2009-08-22-kipi-plugins-kde4.Makefile.diff begins here ---
diff -ruN kipi-plugins-kde4.orig/Makefile kipi-plugins-kde4/Makefile
--- kipi-plugins-kde4.orig/Makefile	2009-08-22 04:13:49.000000000 -0400
+++ kipi-plugins-kde4/Makefile	2009-08-22 04:29:40.000000000 -0400
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	kipi-plugins
-PORTVERSION=	0.2.0
-PORTREVISION=	3
+PORTVERSION=	0.5.0
 PORTEPOCH=	1
 CATEGORIES=	graphics kde
 MASTER_SITES=	SF/kipi/${PORTNAME}/${PORTVERSION}
@@ -16,27 +15,51 @@
 MAINTAINER=	kris@pcbsd.org
 COMMENT=	KDE4 kipi graphics plugins
 
-LIB_DEPENDS=	cv.1:${PORTSDIR}/graphics/opencv \
-		expat.6:${PORTSDIR}/textproc/expat2 \
+LIB_DEPENDS=	expat.6:${PORTSDIR}/textproc/expat2 \
 		kipi.6:${PORTSDIR}/graphics/kdegraphics4
 RUN_DEPENDS=	convert:${PORTSDIR}/graphics/ImageMagick
 
 USE_BZIP2=	yes
 USE_CMAKE=	yes
-USE_KDE4=	automoc4 kdehier kdeprefix kdelibs pimlibs
+USE_GETTEXT=	yes
+USE_KDE4=	automoc4 kdehier kdeprefix kdelibs
 USE_QT_VER=	4
 QT_COMPONENTS=	gui dbus network svg xml \
 		qmake_build moc_build rcc_build uic_build
 USE_LDCONFIG=	yes
+MAKE_JOBS_SAFE=	yes
 
-# Disable IpodExport plugin for now.  Requires audio/libgpod >= 0.7.0.
-CMAKE_ARGS=	-DWITH_GLIB2:BOOL=OFF \
+OPTIONS=	GPOD "Enable Ipod Export plugin" ON \
+		OPENCV "Enable Red Eye Removal plugin" ON \
+		PIMLIBS "Enable Calendar plugin" ON
+
+.include <bsd.port.pre.mk>
+
+.if defined(WITH_GPOD)
+LIB_DEPENDS+=	gpod.5:${PORTSDIR}/audio/libgpod
+PLIST_SUB+=	GPOD=""
+.else
+CMAKE_ARGS+=	-DWITH_GLIB2:BOOL=OFF \
 		-DWITH_GObject:BOOL=OFF \
 		-DWITH_Gdk:BOOL=OFF \
 		-DWITH_Gpod:BOOL=OFF
+PLIST_SUB+=	GPOD="@comment "
+.endif
 
-post-patch:
-	${GREP} -H -r "#include <q" ${WRKSRC} | ${CUT} -d: -f1 | uniq | \
-		${XARGS} ${REINPLACE_CMD} -f ${FILESDIR}/qt3to4headers.txt
+.if defined(WITH_OPENCV)
+LIB_DEPENDS+=	cv.1:${PORTSDIR}/graphics/opencv
+PLIST_SUB+=	OPENCV=""
+.else
+CMAKE_ARGS+=	-DWITH_OpenCV:BOOL=OFF
+PLIST_SUB+=	OPENCV="@comment "
+.endif
+
+.if defined(WITH_PIMLIBS)
+USE_KDE4+=	pimlibs
+PLIST_SUB+=	PIMLIBS=""
+.else
+CMAKE_ARGS+=	-DWITH_KdepimLibs:BOOL=OFF
+PLIST_SUB+=	PIMLIBS="@comment "
+.endif
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
--- 2009-08-22-kipi-plugins-kde4.Makefile.diff ends here ---
Comment 4 Max Brazhnikov freebsd_committer 2009-08-23 14:03:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 5 dfilter service freebsd_committer 2009-09-05 00:49:17 UTC
kmoore      2009-09-04 23:49:04 UTC

  FreeBSD ports repository

  Modified files:
    graphics/kipi-plugins-kde4 Makefile distinfo pkg-plist 
    graphics/kipi-plugins-kde4/files qt3to4headers.txt 
  Added files:
    graphics/kipi-plugins-kde4/files 
                                     patch-ipodexport__CMakeLists.txt 
  Log:
   - Update to 0.5.0
  
  Tested / Thanks to Max Brazhnikov <makc@freebsd.org>
  
  PR: 138010
  Submitted by: Jason E. Hale <bsdkaffee@gmail.com>
  Approved by: miwi (mentor)
  
  Revision  Changes    Path
  1.52      +34 -11    ports/graphics/kipi-plugins-kde4/Makefile
  1.15      +3 -3      ports/graphics/kipi-plugins-kde4/distinfo
  1.1       +16 -0     ports/graphics/kipi-plugins-kde4/files/patch-ipodexport__CMakeLists.txt (new)
  1.2       +0 -46     ports/graphics/kipi-plugins-kde4/files/qt3to4headers.txt
  1.20      +158 -7    ports/graphics/kipi-plugins-kde4/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Kris Moore freebsd_committer 2009-09-05 00:55:36 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!